Put in remaining pages and wiki contents.
[ikiwiki.git] / docs / handbook / handbook-desktop-browsers.mdwn
1 ## 15.2 Browsers \r
2 DragonFly does not come with a particular browser pre-installed. Instead, the [www](http://www.FreeBSD.org/ports/www.html) directory of the ports collection contains a lot of browsers ready to be installed. If you do not have time to compile everything (this can take a very long time in some cases) many of them are available as packages.\r
3 \r
4  **KDE**  and  **GNOME**  already provide HTML browsers. Please refer to [x11-wm.html Section 5.7] for more information on how to set up these complete desktops.\r
5 \r
6 If you are looking for light-weight browsers, you should investigate the ports collection for [`www/dillo`](http://pkgsrc.se/www/dillo), [`www/links`](http://pkgsrc.se/www/links), or [`www/w3m`](http://pkgsrc.se/www/w3m).\r
7 \r
8 This section covers these applications:\r
9 [[!table  data="""
10 | Application Name | Resources Needed | Installation from Ports | Major Dependencies 
11   **Mozilla Firefox**  | heavy | heavy |  **Gtk+**  
12   **Netscape®**  | heavy | light | Linux Binary Compatibility 
13   **Opera**  | light | light | FreeBSD version (should work on DragonFly): None. Linux version: Linux Binary Compatibility and  **linux-openmotif**  |\r
14 """]]\r
15 \r
16 \r
17 \r
18 ### 15.2.1 Mozilla Firefox \r
19  **Mozilla Firefox**  is perhaps the most suitable browser for your DragonFly Desktop. It is modern and stable. It features a very standards-compliant HTML display engine. It provides a mail and news reader. It even has a HTML composer if you plan to write some web pages yourself. Users of  **Netscape**  will recognize the similarities with  **Communicator**  suite, as both browsers shared the same basis.\r
20 \r
21 On slow machines, with a CPU speed less than 233MHz or with less than 64MB of RAM,  **Mozilla Firefox**  can be too resource-consuming to be fully usable. You may want to look at the  **Opera**  browser instead, described a little later in this chapter.\r
22 \r
23 The Mozilla package from the network by:\r
24 \r
25     \r
26     # pkg_add firefox\r
27 \r
28 If the package is not available, and you have enough time and disk space, you can get the source for  **Mozilla** , compile it and install it on your system. This is accomplished by:\r
29 \r
30     \r
31     # cd /usr/ports/www/mozilla\r
32     # make install clean\r
33 \r
34 The  **Mozilla**  port ensures a correct initialization by running the chrome registry setup with `root` privileges. However, if you want to fetch some add-ons like mouse gestures, you must run  **Mozilla**  as `root` to get them properly installed.\r
35 \r
36 Once you have completed the installation of  **Mozilla** , you do not need to be `root` any longer. You can start  **Mozilla**  as a browser by typing:\r
37 \r
38     \r
39     % mozilla\r
40 \r
41 You can start it directly as a mail and news reader as shown below:\r
42 \r
43     \r
44     % mozilla -mail\r
45 \r
46 ### 15.2.2 Mozilla, Java™, and Macromedia® Flash™ \r
47 ***Contributed by Tom Rhodes. ***\r
48 \r
49 Installing  **Mozilla**  is simple, but unfortunately installing  **Mozilla**  with support for add-ons like Java™ and Macromedia® Flash™ consumes both time and disk space.\r
50 \r
51 The first thing is to download the files which will be used with  **Mozilla** . Take your current web browser up to http://www.sun.com/software/java2/download.html and create an account on their website. Remember to save the username and password from here as it may be needed in the future. Download a copy of the file `j2sdk-1_3_1-src.tar.gz` and place this in `/usr/ports/distfiles/` as the port will not fetch it automatically. This is due to license restrictions. While we are here, download the ***java environment*** from http://java.sun.com/webapps/download/Display?BundleId=7905. The filename is `j2sdk-1_3_1_08-linux-i586.bin` and is large (about 25 megabytes!). Like before, this file must be placed into `/usr/ports/distfiles/`. Finally download a copy of the ***java patchkit*** from http://www.eyesbeyond.com/freebsddom/java/ and place it into `/usr/ports/distfiles/`.\r
52 \r
53 Install the [`java/jdk13`](http://pkgsrc.se/java/jdk13) port with the standard `make install clean` and then install the [`www/flashpluginwrapper`](http://pkgsrc.se/www/flashpluginwrapper) port. This port requires [`emulators/linux_base`](http://pkgsrc.se/emulators/linux_base) which is a large port. True that other  **Flash**  plugins exist, however they have not worked for me.\r
54 \r
55 Install the [`www/mozilla`](http://pkgsrc.se/www/mozilla) port, if  **Mozilla**  is not already installed.\r
56 \r
57 Now copy the  **Flash**  plug-in files with:\r
58 \r
59     \r
60     # cp /usr/local/lib/flash/libflashplayer.so \\r
61             /usr/X11R6/lib/browser_plugins/libflashplayer_linux.so\r
62 \r
63     \r
64     # cp /usr/local/lib/flash/ShockwaveFlash.class \\r
65             /usr/X11R6/lib/browser_plugins/\r
66 \r
67 Now add the following lines to the top of (but right under `#!/bin/sh`)  **Mozilla**  startup script: `/usr/X11R6/bin/mozilla`.\r
68 \r
69     \r
70     LD_PRELOAD=/usr/local/lib/libflashplayer.so.1\r
71     export LD_PRELOAD\r
72 \r
73 This will enable the  **Flash**  plug-in.\r
74 \r
75 Now just start  **Mozilla**  with:\r
76 \r
77     \r
78     % mozilla &\r
79 \r
80 And access the About Plug-ins option from the Help menu. A list should appear with all the currently available plugins.  **Java**  and  **Shockwave® Flash**  should both be listed.\r
81 \r
82 ### 15.2.3 Netscape® \r
83 The ports collection contains several versions of the Netscape browser. Since the native FreeBSD ones contain a serious security bug, installing them is strongly discouraged. Instead, use a more recent Linux or DIGITAL UNIX version.\r
84 \r
85 The latest stable release of the Netscape browser is  **Netscape 7** . It can be installed from the ports collection:\r
86 \r
87     \r
88     # cd /usr/ports/www/netscape7\r
89     # make install clean\r
90 \r
91 There are localized versions in the French, German, and Japanese categories.\r
92 \r
93  **Caution:**  **Netscape 4.x**  versions are not recommended because they are not compliant with today's standards. However,  **Netscape 7.x**  and newer versions are only available for the i386™ platform.\r
94 \r
95 ### 15.2.4 Opera \r
96  **Opera**  is a very fast, full-featured, and standards-compliant browser. It comes in a version that runs under Linux emulation. There is a no-cost version of the browser that displays advertising and an ad-free version that can be purchased on the [Opera web site](http://www.opera.com/).\r
97 \r
98 To browse the Web with  **Opera** , install the package:\r
99 \r
100     \r
101     # pkg_add opera\r
102 \r
103 Some FTP sites do not have all the packages, but the same result can be obtained with the ports collection by typing:\r
104 \r
105     \r
106     # cd /usr/ports/www/opera\r
107     # make install clean\r
108 \r
109 CategoryHandbook CategoryHandbook-desktop\r